Changeset 2984


Ignore:
Timestamp:
Oct 15, 2013 12:07:53 PM (7 years ago)
Author:
tkr
Message:

Re-running the autotools

File:
1 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/SoPlex/releases/1.2.2/configure

    r2940 r2984  
    10821082                          (implies --disable-shared)
    10831083  --enable-debug-soplex compile project SoPlex with debug compiler flags
    1084   --enable-doscompile     Under Cygwin, compile so that executables run under
    1085                           DOS. Set to mingw to use gcc/g++/ld with
    1086                           -mno-cygwin. Set to msvc to use cl/link (or
    1087                           icl/link). Default when mentioned: mingw. Default
    1088                           when not mentioned: disabled.
     1084
     1085  --enable-msvc           Prefer (i)cl/ifort/link over GNU on MinGW/Cygwin.
    10891086  --disable-pkg-config    disable use of pkg-config (if available)
    10901087  --enable-static[=PKGS]
     
    18811878
    18821879# Get the name of the C compiler and appropriate compiler options
    1883 case $build in
     1880
     1881
     1882  # for backward compatibility
     1883  # Check whether --enable-doscompile or --disable-doscompile was given.
     1884if test "${enable_doscompile+set}" = set; then
     1885  enableval="$enable_doscompile"
     1886  enable_doscompile=$enableval
     1887else
     1888  enable_doscompile=no
     1889fi;
     1890
     1891  # Check whether --enable-msvc or --disable-msvc was given.
     1892if test "${enable_msvc+set}" = set; then
     1893  enableval="$enable_msvc"
     1894  enable_msvc=$enableval
     1895else
     1896  enable_msvc=no
     1897     if test "$enable_doscompile" = msvc ; then
     1898       enable_msvc=yes
     1899     elif test "$enable_doscompile" != no ; then
     1900       { { echo "$as_me:$LINENO: error: --enable-doscompile=$enable_doscompile not supported anymore." >&5
     1901echo "$as_me: error: --enable-doscompile=$enable_doscompile not supported anymore." >&2;}
     1902   { (exit 1); exit 1; }; }
     1903     fi
     1904
     1905fi;
     1906
     1907  if test "$enable_msvc" = yes; then
     1908    case $build in
     1909      *-cygwin* | *-mingw*) ;;
     1910      *) { { echo "$as_me:$LINENO: error: --enable-msvc option makes sense only under Cygwin or MinGW" >&5
     1911echo "$as_me: error: --enable-msvc option makes sense only under Cygwin or MinGW" >&2;}
     1912   { (exit 1); exit 1; }; } ;;
     1913    esac
     1914  fi
     1915
     1916
     1917 case $build in
    18841918  *-mingw*)
    18851919    if test "${LD+set}" = set; then :; else
     
    18881922    ;;
    18891923 esac
    1890  case $enable_doscompile in
    1891    msvc)
    1892      if test "x${LD+set}" = xset; then :; else
    1893        LD=link
    1894      fi
    1895      ;;
    1896  esac
    1897 
    1898 
    1899  # Check whether --enable-doscompile or --disable-doscompile was given.
    1900 if test "${enable_doscompile+set}" = set; then
    1901   enableval="$enable_doscompile"
    1902   if test "$enable_doscompile" != no; then
    1903      case $build in
    1904        *-cygwin* | *-mingw*) ;;
    1905        *) { { echo "$as_me:$LINENO: error: --enable-doscompile option makes sense only under Cygwin or MinGW" >&5
    1906 echo "$as_me: error: --enable-doscompile option makes sense only under Cygwin or MinGW" >&2;}
    1907    { (exit 1); exit 1; }; } ;;
    1908      esac
     1924 if test $enable_msvc = yes ; then
     1925   if test "x${LD+set}" = xset; then :; else
     1926     LD=link
    19091927   fi
    1910 else
    1911   enable_doscompile=no
    1912 fi;
    1913  case "$enable_doscompile" in
    1914    mingw)
    1915      case $build in
    1916        *-mingw*) enable_doscompile=no ;;
    1917      esac
    1918      ;;
    1919    msvc|no) ;;
    1920    yes) enable_doscompile=mingw ;;
    1921    *) { { echo "$as_me:$LINENO: error: Invalid value $enable_doscompile for --enable-doscompile.
    1922                     Try configure --help=recursive." >&5
    1923 echo "$as_me: error: Invalid value $enable_doscompile for --enable-doscompile.
    1924                     Try configure --help=recursive." >&2;}
    1925    { (exit 1); exit 1; }; }
    1926       ;;
    1927   esac
    1928   if test "$enable_doscompile" != no ; then
    1929     { echo "$as_me:$LINENO: DOS compile style is: $enable_doscompile" >&5
    1930 echo "$as_me: DOS compile style is: $enable_doscompile" >&6;}
    1931   fi
     1928 fi
    19321929
    19331930
     
    19721969case $build in
    19731970  *-cygwin* | *-mingw*)
    1974              if test "$enable_doscompile" = msvc ; then
    1975                comps="icl cl"
     1971             if test "$enable_msvc" = yes ; then
     1972               comps="icl cl gcc"
    19761973             else
    1977                comps="gcc cl"
     1974               comps="gcc icl cl"
    19781975             fi ;;
    19791976  *-*-solaris*)
     
    28282825            ;;
    28292826        esac
    2830         case $enable_doscompile in
    2831           mingw)
    2832             CFLAGS="-mno-cygwin"
    2833             cat >conftest.$ac_ext <<_ACEOF
    2834 /* confdefs.h.  */
    2835 _ACEOF
    2836 cat confdefs.h >>conftest.$ac_ext
    2837 cat >>conftest.$ac_ext <<_ACEOF
    2838 /* end confdefs.h.  */
    2839 
    2840 int
    2841 main ()
    2842 {
    2843 int i=0; i++;
    2844   ;
    2845   return 0;
    2846 }
    2847 _ACEOF
    2848 rm -f conftest.$ac_objext conftest$ac_exeext
    2849 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    2850   (eval $ac_link) 2>conftest.er1
    2851   ac_status=$?
    2852   grep -v '^ *+' conftest.er1 >conftest.err
    2853   rm -f conftest.er1
    2854   cat conftest.err >&5
    2855   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    2856   (exit $ac_status); } &&
    2857          { ac_try='test -z "$ac_c_werror_flag"
    2858                          || test ! -s conftest.err'
    2859   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    2860   (eval $ac_try) 2>&5
    2861   ac_status=$?
    2862   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    2863   (exit $ac_status); }; } &&
    2864          { ac_try='test -s conftest$ac_exeext'
    2865   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    2866   (eval $ac_try) 2>&5
    2867   ac_status=$?
    2868   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    2869   (exit $ac_status); }; }; then
    2870   coin_add_cflags="-mno-cygwin $coin_add_cflags"
    2871 else
    2872   echo "$as_me: failed program was:" >&5
    2873 sed 's/^/| /' conftest.$ac_ext >&5
    2874 
    2875 fi
    2876 rm -f conftest.err conftest.$ac_objext \
    2877       conftest$ac_exeext conftest.$ac_ext
    2878             CFLAGS=
    2879           ;;
    2880         esac
    28812827    esac
    28822828  fi
     
    32193165  clang* ) ;;
    32203166  cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
    3221     case $build in
     3167
     3168 case $build in
    32223169  *-mingw*)
    32233170    if test "${LD+set}" = set; then :; else
     
    32263173    ;;
    32273174 esac
    3228  case $enable_doscompile in
    3229    msvc)
    3230      if test "x${LD+set}" = xset; then :; else
    3231        LD=link
    3232      fi
    3233      ;;
    3234  esac
     3175 if test $enable_msvc = yes ; then
     3176   if test "x${LD+set}" = xset; then :; else
     3177     LD=link
     3178   fi
     3179 fi
    32353180
    32363181    ;;
     
    32673212case $build in
    32683213  *-cygwin* | *-mingw*)
    3269              if test "$enable_doscompile" = msvc ; then
    3270                comps="icl cl"
    3271              else
    3272                comps="g++ cl"
    3273              fi ;;
     3214      if test "$enable_msvc" = yes ; then
     3215         comps="icl cl g++"
     3216      else
     3217         comps="g++ icl cl"
     3218      fi ;;
    32743219  *-*-solaris*)
    32753220             comps="CC xlC_r aCC g++ c++ pgCC icpc gpp cxx cc++ cl FCC KCC RCC" ;;
     
    37793724            ;;
    37803725        esac
    3781 
    3782         case $enable_doscompile in
    3783           mingw)
    3784             CXXFLAGS="-mno-cygwin"
    3785             cat >conftest.$ac_ext <<_ACEOF
    3786 /* confdefs.h.  */
    3787 _ACEOF
    3788 cat confdefs.h >>conftest.$ac_ext
    3789 cat >>conftest.$ac_ext <<_ACEOF
    3790 /* end confdefs.h.  */
    3791 
    3792 int
    3793 main ()
    3794 {
    3795 int i=0; i++;
    3796   ;
    3797   return 0;
    3798 }
    3799 _ACEOF
    3800 rm -f conftest.$ac_objext conftest$ac_exeext
    3801 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    3802   (eval $ac_link) 2>conftest.er1
    3803   ac_status=$?
    3804   grep -v '^ *+' conftest.er1 >conftest.err
    3805   rm -f conftest.er1
    3806   cat conftest.err >&5
    3807   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3808   (exit $ac_status); } &&
    3809          { ac_try='test -z "$ac_cxx_werror_flag"
    3810                          || test ! -s conftest.err'
    3811   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    3812   (eval $ac_try) 2>&5
    3813   ac_status=$?
    3814   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3815   (exit $ac_status); }; } &&
    3816          { ac_try='test -s conftest$ac_exeext'
    3817   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    3818   (eval $ac_try) 2>&5
    3819   ac_status=$?
    3820   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3821   (exit $ac_status); }; }; then
    3822   coin_add_cxxflags="-mno-cygwin $coin_add_cxxflags"
    3823 else
    3824   echo "$as_me: failed program was:" >&5
    3825 sed 's/^/| /' conftest.$ac_ext >&5
    3826 
    3827 fi
    3828 rm -f conftest.err conftest.$ac_objext \
    3829       conftest$ac_exeext conftest.$ac_ext
    3830             CXXFLAGS=
    3831           ;;
    3832         esac
    38333726    esac
    38343727  fi
     
    41824075  clang* ) ;;
    41834076  cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
    4184     case $build in
     4077
     4078 case $build in
    41854079  *-mingw*)
    41864080    if test "${LD+set}" = set; then :; else
     
    41894083    ;;
    41904084 esac
    4191  case $enable_doscompile in
    4192    msvc)
    4193      if test "x${LD+set}" = xset; then :; else
    4194        LD=link
    4195      fi
    4196      ;;
    4197  esac
     4085 if test $enable_msvc = yes ; then
     4086   if test "x${LD+set}" = xset; then :; else
     4087     LD=link
     4088   fi
     4089 fi
    41984090
    41994091    ;;
     
    61666058*-*-irix6*)
    61676059  # Find out which ABI we are using.
    6168   echo '#line 6168 "configure"' > conftest.$ac_ext
     6060  echo '#line 6060 "configure"' > conftest.$ac_ext
    61696061  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    61706062  (eval $ac_compile) 2>&5
     
    73007192
    73017193# Provide some information about the compiler.
    7302 echo "$as_me:7302:" \
     7194echo "$as_me:7194:" \
    73037195     "checking for Fortran 77 compiler version" >&5
    73047196ac_compiler=`set X $ac_compile; echo $2`
     
    83678259   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    83688260   -e 's:$: $lt_compiler_flag:'`
    8369    (eval echo "\"\$as_me:8369: $lt_compile\"" >&5)
     8261   (eval echo "\"\$as_me:8261: $lt_compile\"" >&5)
    83708262   (eval "$lt_compile" 2>conftest.err)
    83718263   ac_status=$?
    83728264   cat conftest.err >&5
    8373    echo "$as_me:8373: \$? = $ac_status" >&5
     8265   echo "$as_me:8265: \$? = $ac_status" >&5
    83748266   if (exit $ac_status) && test -s "$ac_outfile"; then
    83758267     # The compiler can only warn and ignore the option if not recognized
     
    86358527   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    86368528   -e 's:$: $lt_compiler_flag:'`
    8637    (eval echo "\"\$as_me:8637: $lt_compile\"" >&5)
     8529   (eval echo "\"\$as_me:8529: $lt_compile\"" >&5)
    86388530   (eval "$lt_compile" 2>conftest.err)
    86398531   ac_status=$?
    86408532   cat conftest.err >&5
    8641    echo "$as_me:8641: \$? = $ac_status" >&5
     8533   echo "$as_me:8533: \$? = $ac_status" >&5
    86428534   if (exit $ac_status) && test -s "$ac_outfile"; then
    86438535     # The compiler can only warn and ignore the option if not recognized
     
    87398631   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    87408632   -e 's:$: $lt_compiler_flag:'`
    8741    (eval echo "\"\$as_me:8741: $lt_compile\"" >&5)
     8633   (eval echo "\"\$as_me:8633: $lt_compile\"" >&5)
    87428634   (eval "$lt_compile" 2>out/conftest.err)
    87438635   ac_status=$?
    87448636   cat out/conftest.err >&5
    8745    echo "$as_me:8745: \$? = $ac_status" >&5
     8637   echo "$as_me:8637: \$? = $ac_status" >&5
    87468638   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    87478639   then
     
    1108410976  lt_status=$lt_dlunknown
    1108510977  cat > conftest.$ac_ext <<EOF
    11086 #line 11086 "configure"
     10978#line 10978 "configure"
    1108710979#include "confdefs.h"
    1108810980
     
    1118411076  lt_status=$lt_dlunknown
    1118511077  cat > conftest.$ac_ext <<EOF
    11186 #line 11186 "configure"
     11078#line 11078 "configure"
    1118711079#include "confdefs.h"
    1118811080
     
    1352813420   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1352913421   -e 's:$: $lt_compiler_flag:'`
    13530    (eval echo "\"\$as_me:13530: $lt_compile\"" >&5)
     13422   (eval echo "\"\$as_me:13422: $lt_compile\"" >&5)
    1353113423   (eval "$lt_compile" 2>conftest.err)
    1353213424   ac_status=$?
    1353313425   cat conftest.err >&5
    13534    echo "$as_me:13534: \$? = $ac_status" >&5
     13426   echo "$as_me:13426: \$? = $ac_status" >&5
    1353513427   if (exit $ac_status) && test -s "$ac_outfile"; then
    1353613428     # The compiler can only warn and ignore the option if not recognized
     
    1363213524   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1363313525   -e 's:$: $lt_compiler_flag:'`
    13634    (eval echo "\"\$as_me:13634: $lt_compile\"" >&5)
     13526   (eval echo "\"\$as_me:13526: $lt_compile\"" >&5)
    1363513527   (eval "$lt_compile" 2>out/conftest.err)
    1363613528   ac_status=$?
    1363713529   cat out/conftest.err >&5
    13638    echo "$as_me:13638: \$? = $ac_status" >&5
     13530   echo "$as_me:13530: \$? = $ac_status" >&5
    1363913531   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1364013532   then
     
    1520215094   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1520315095   -e 's:$: $lt_compiler_flag:'`
    15204    (eval echo "\"\$as_me:15204: $lt_compile\"" >&5)
     15096   (eval echo "\"\$as_me:15096: $lt_compile\"" >&5)
    1520515097   (eval "$lt_compile" 2>conftest.err)
    1520615098   ac_status=$?
    1520715099   cat conftest.err >&5
    15208    echo "$as_me:15208: \$? = $ac_status" >&5
     15100   echo "$as_me:15100: \$? = $ac_status" >&5
    1520915101   if (exit $ac_status) && test -s "$ac_outfile"; then
    1521015102     # The compiler can only warn and ignore the option if not recognized
     
    1530615198   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1530715199   -e 's:$: $lt_compiler_flag:'`
    15308    (eval echo "\"\$as_me:15308: $lt_compile\"" >&5)
     15200   (eval echo "\"\$as_me:15200: $lt_compile\"" >&5)
    1530915201   (eval "$lt_compile" 2>out/conftest.err)
    1531015202   ac_status=$?
    1531115203   cat out/conftest.err >&5
    15312    echo "$as_me:15312: \$? = $ac_status" >&5
     15204   echo "$as_me:15204: \$? = $ac_status" >&5
    1531315205   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1531415206   then
     
    1751317405   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1751417406   -e 's:$: $lt_compiler_flag:'`
    17515    (eval echo "\"\$as_me:17515: $lt_compile\"" >&5)
     17407   (eval echo "\"\$as_me:17407: $lt_compile\"" >&5)
    1751617408   (eval "$lt_compile" 2>conftest.err)
    1751717409   ac_status=$?
    1751817410   cat conftest.err >&5
    17519    echo "$as_me:17519: \$? = $ac_status" >&5
     17411   echo "$as_me:17411: \$? = $ac_status" >&5
    1752017412   if (exit $ac_status) && test -s "$ac_outfile"; then
    1752117413     # The compiler can only warn and ignore the option if not recognized
     
    1778117673   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1778217674   -e 's:$: $lt_compiler_flag:'`
    17783    (eval echo "\"\$as_me:17783: $lt_compile\"" >&5)
     17675   (eval echo "\"\$as_me:17675: $lt_compile\"" >&5)
    1778417676   (eval "$lt_compile" 2>conftest.err)
    1778517677   ac_status=$?
    1778617678   cat conftest.err >&5
    17787    echo "$as_me:17787: \$? = $ac_status" >&5
     17679   echo "$as_me:17679: \$? = $ac_status" >&5
    1778817680   if (exit $ac_status) && test -s "$ac_outfile"; then
    1778917681     # The compiler can only warn and ignore the option if not recognized
     
    1788517777   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1788617778   -e 's:$: $lt_compiler_flag:'`
    17887    (eval echo "\"\$as_me:17887: $lt_compile\"" >&5)
     17779   (eval echo "\"\$as_me:17779: $lt_compile\"" >&5)
    1788817780   (eval "$lt_compile" 2>out/conftest.err)
    1788917781   ac_status=$?
    1789017782   cat out/conftest.err >&5
    17891    echo "$as_me:17891: \$? = $ac_status" >&5
     17783   echo "$as_me:17783: \$? = $ac_status" >&5
    1789217784   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1789317785   then
     
    2142221314echo $ECHO_N "checking which command should be used to link input files... $ECHO_C" >&6
    2142321315coin_link_input_cmd="$LN_S"
    21424 if test "$enable_doscompile" = mingw; then
    21425   coin_link_input_cmd=cp
    21426 fi
    2142721316case "$CC" in
    2142821317  clang* ) ;;
Note: See TracChangeset for help on using the changeset viewer.